<?php
require_once("class/class.bbdd.php");
$bbdd = new BBDD();

//Resposta per defecte (Negativa)
$response["success"] = "0";  

//Valida i adapta els paràmetres necessris
$listCode = $bbdd->checkParameter('listCode',true);

//Comprova que s'hagin validat els paràmetres
if ($listCode !== 0) {
	
	//Realitza la consulta
	$result = $bbdd->select(
		"listTitle", "Lists ", "Lists.listIden = '".$listCode."'");

	//Comprova que el resultat de la consulta no sigui nul
	if (!empty($result)) {  
		//Comprova que hi hagin resultats
		if (mysqli_num_rows($result) > 0) {  
			$response["success"] = "1";  
			$response["message"] = $bbdd->resultsToJson($result);
		} 
	} 
} else {	
	//Resposta: Falten paràmetres 
	$response["message"] = "No s'han especificat tots els paràmetres.";	
}

//Retorna els resultats en Json 
echo json_encode($response,JSON_UNESCAPED_UNICODE);  
?>